#!/bin/bash
# secret-pw.sh : mot de passe secret

echo
echo -n "Entrez le mot de passe "
read mot_de_passe
echo "Le mot de passe est $mot_de_passe"
echo -n "Si quelqu'un a regardé par dessus votre épaule, "
echo "votre mot de passe pourrait avoir été compromis."

echo && echo  # Deux retours chariot dans une "liste ET".


stty -echo    # Supprime l'echo sur l'écran.

echo -n "Entrez de nouveau le mot de passe "
read mot_de_passe
echo
echo "Le mot de passe est $mot_de_passe"
echo

stty echo     # Restaure l'echo de l'écran.

exit 0

#  Faites un 'info stty'
#+ pour plus d'informations sur cette commande utile mais complexe.